[Hackage] #925: Unused constraints result in "no available version" (was: More flexible constraints, specified via local preferences file)

Hackage cvs-ghc at haskell.org
Sat Apr 7 16:20:27 CEST 2012

#925: Unused constraints result in "no available version"
  Reporter:  snoyberg            |        Owner:                    
      Type:  defect              |       Status:  closed            
  Priority:  normal              |    Milestone:  cabal-install-0.14
 Component:  cabal-install tool  |      Version:          
  Severity:  normal              |   Resolution:  fixed             
  Keywords:                      |   Difficulty:  unknown           
Ghcversion:                      |     Platform:                    
Changes (by kosmikus):

  * status:  new => closed
  * type:  enhancement => defect
  * resolution:  => fixed


 Ok. I think that I have indeed mistakenly assumed that the old behaviour
 of `--constraint` was intended when it was not. Sorry for that.

 In the current development repository (and in the upcoming `cabal-
 install-0.14`), constraints behave as was the assumption in this bug
 report originally. Saying `--constraint=...` on the command line does
 *not* introduce a target, it merely constrains the package.

 So I'll restore the original title and consider this bug as fixed.

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/925#comment:5>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list